GETCX3D(1)

NAME
getcx3d - display an RLE(5) image on the Chromatics

SYNOPSIS
getcx3d [ -O ] [ -B ] [ -d ] [ -t ] [ -p x y ] [ -l ] [ infile ... ]

DESCRIPTION
This program displays an RLE(5) image on a Chromatics CX 1536 (raster dimensions 1536×1152×24) running CX3D. Getcx3d will display black and white and full color images, ignoring the alpha channel if present. All three background styles of the RLE(5) format are supported: (0) write every pixel, (1) do not write background pixels (overlay) and (2) clear to background; see the -O and -B options. You may position an image at some place other than (0, 0) on the screen; see the -p option. The -d and -t options magnify the image; see below. The bounding box of the image is the only part of the image that is ever displayed (i.e. clear to background will only clear the area within the bounding box, not the entire screen.) The color maps within the CX are not changed. Colors are passed through a gamma correction map (gamma_value = 2.5 in round(255 * ((x / 255) ^ (1 / gamma_value))), judged best for the monitor connected to the CX) on the host before they are sent to the CX. Use -l to pass colors through a linear map. Finally, any color maps specified by the RLE file are ignored. This is a bug.

OPTIONS

-O  Force overlay background style. Ignoring the background style indicated in the RLE file this option will overlay the RLE image, causing the previous image on the CX to show through pixels of background color of the present image.

-B  Force clear to background style. Ignoring the background style indicated in the RLE file this option will clear the bounding box area of the RLE file before displaying the image.

-d  Double the image size. Display four pixels for every one pixel of the RLE file.

-t  Triple the image size. Display nine pixels for every one pixel of the RLE file.

-p x y
    Reposition the image. Place the left corner of the image (0, 0) at some place other than the left corner of the CX. Note that the left corner of the image is (0, 0), which may be different from the left corner of the bounding box of the image. The bounding box is the only area of the image that is ever displayed.

-l  Use a linear map. By default all colors are passed through a gamma correction map on the host before they are sent to the CX. This option causes no mapping to take place.

infile
    Name of file to display. If not specified or if -, an RLE encoded image is read from the standard input. Any number of images may be displayed with one invocation of getcx3d.

FILES
/dev/dr0

SEE ALSO
urt(1), RLE(5).

AUTHOR
W. Thomas McCollough, Jr., University of Utah

BUGS
Color maps are not loaded. If interrupted with a catchable signal, getcx3d will close the CX gently, allowing future access without rebooting. If getcx3d is stopped, however, and then (before it is continued) killed with any signal, then the CX may be left in a bad state.